    Return the data used by plot_bkg_resid.

get_bkg_resid_plot(id=None, bkg_id=None, recalc=True)
id - int or str, optional
bkg_id - int or str, optional
recalc - bool, optional
>>> bplot = get_bkg_resid_plot() >>> print(bplot)
>>> get_bkg_resid_plot('jet', bkg_id=1).plot() >>> get_bkg_resid_plot('jet', bkg_id=2).overplot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
bkg_id
Identify the background component to use, if there are multiple ones associated with the data set.
recalc
If False then the results from the last call to

`plot_bkg_resid` (or `get_bkg_resid_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

resid -- An object representing the data used to create the plot by

`plot_bkg_resid` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023